<?php

/**
 * Provides the markup for a repeater field.
 *
 * @since      1.0
 * @package    Leadferno
 * @subpackage Leadferno/admin/partials
 */

if (!empty($atts['label'])) {
?><th><label for="<?php echo esc_attr($atts['id']); ?>"><?php esc_html_e($atts['label'], 'leadferno'); ?>: </label></th>
<?php
}

?><td>
	<?php if (!empty($atts['description'])) {
	?><p class="description">
			<?php
			if (array_key_exists('desc_link', $atts)) {
			?><a href="<?php echo esc_url($atts['desc_link']); ?>" target="_blank">
				<?php }
			esc_html_e($atts['description'], 'leadferno');
			if (array_key_exists('desc_link', $atts)) {
				?></a>
			<?php } ?>
		</p><?php
		} ?>

	<div id="repeatable-fieldset">
		<?php if (isset($atts['value']) && $atts['value']) {
			foreach ($atts['value'] as $url) {
				if ($url) {
		?><div class="url-row">
						<div class="url-row-fields">
							<input class="widefat" name="<?php echo esc_attr($atts['name']); ?>" type="text" value="<?php echo esc_attr($url); ?>" required>
						</div>
						<a class="button remove-row" href="#"><span class="dashicons dashicons-no"></span>&nbsp;&nbsp;<?php esc_html_e('Remove', 'leadferno'); ?></a>
					</div><?php
						}
					}
				}

				// Empty hidden row
							?><div class="empty-row screen-reader-text">
			<div class="url-row-fields">
				<input class="widefat" name="_<?php echo esc_attr($atts['name']); ?>" type="text" value="">
			</div>
			<a class="button remove-row" href="#"><span class="dashicons dashicons-no"></span>&nbsp;&nbsp;<?php esc_html_e('Remove', 'leadferno'); ?></a>
		</div>

		<p class="repeatable-fieldset-footer"><a id="add-row" class="button button-primary" href="#"><span class="dashicons dashicons-plus"></span>&nbsp;&nbsp;<?php esc_html_e('Add URL', 'leadferno'); ?></a></p>
	</div>
</td>