<?php

/**
 * @package           	Leadferno
 * @since				1.0
 *
 * @wordpress-plugin
 * Plugin Name:       	Leadferno
 * Description:       	A WordPress plugin for creating Leadboxes.
 * Version:           	1.0
 * Author:            	Leadferno
 * Author URI:        	https://leadferno.com
 * Text Domain:       	leadferno
 * Domain Path:       	/languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}

define('LEADFERNO__PLUGIN_DIR', plugin_dir_path(__FILE__));
define('LEADFERNO__ADMIN_PLUGIN_DIR', plugin_dir_path(__FILE__) . 'admin/');
define('LEADFERNO__PLUGIN_URL', plugin_dir_url(__FILE__));
define('LEADFERNO__ADMIN_PLUGIN_URL', plugin_dir_url(__FILE__) . 'admin/');

/**
 * The code that runs during plugin activation.
 */
function activate_leadferno()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-leadferno-activator.php';
	Leadferno_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 */
function deactivate_leadferno()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-leadferno-deactivator.php';
	Leadferno_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_leadferno');
register_deactivation_hook(__FILE__, 'deactivate_leadferno');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-leadferno.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    	1.0
 */
function run_leadferno()
{
	$plugin = new Leadferno();
	$plugin->run();
}

run_leadferno();
